## glance 13.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.2.3 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
httplib2>=0.7.5 # MIT
pycrypto>=2.6 # Public Domain
oslo.config>=3.12.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
stevedore>=1.10.0 # Apache-2.0
futurist>=0.11.0 # Apache-2.0
taskflow>=1.26.0 # Apache-2.0
keystoneauth1>=2.7.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
WSME>=0.8 # MIT
PrettyTable<0.8,>=0.7 # BSD

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
pyOpenSSL>=0.14 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.3.0 # Apache-2.0

# Glance Store
glance-store>=0.13.0 # Apache-2.0


# Artifact repository
semantic-version>=2.3.1 # BSD

castellan>=0.4.0 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
glance (2:13.0.0~b2-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 16:06:52 +0000

glance (2:13.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of debconf (Closes: #830632).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 16:27:27 +0200

glance (2:13.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added fix-requirements.txt.patch.
  * Disable test_wsgi_ipv6.IPv6ServerTest.test_evnetlet_no_dnspython that is
    failing in Xenial.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 09:46:22 +0200

glance (2:12.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use /bin/sh as su shell in postinst script explicitly
  * Standards-Version is 3.9.8 now (no change)

  [ Ivan Udovichenko ]
  * Add Glance Glare package.

  [ Thomas Goirand ]
  * Updated Japanese debconf templates (Closes: #820762).
  * Updated Dutch debconf templates (Closes: #822888).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 12:46:22 +0000

glance (2:12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:10:55 +0200

glance (2:12.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #815957).
  * Using testr directly to run tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:22:46 +0200

glance (2:12.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:01:47 +0000

glance (2:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Bumped python-glance-store (build-)depends version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:14:34 +0100

glance (2:12.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Also installs /usr/bin/glance-glare.
  * Also generates glance-glare.conf.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Mar 2016 14:34:37 +0800

glance (2:12.0.0~b2-3) experimental; urgency=medium

  * Better config file generation.
  * Make build reproducible (Closes: #807475).
  * VCS URLs using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 06:15:09 +0000

glance (2:12.0.0~b2-2) experimental; urgency=medium

  * Fixed use of -S flag in dpkg-parsechangelog, incompatible with Trusty.
  * Added build-depends on git, due to its use in sphinx-build.
  * Bump EPOCH to align with Ubuntu.
  * Fixed rabbitmq credential in debconf to use the oslo_messaging_rabbit
    section.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 23:31:11 +0800

glance (1:12.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removing /usr/bin/glance-artifacts to glance-common as it's gone from
    upstream entry-points.
  * glance-api depends on adduser to avoid a lintian warning.
  * Update namespaces for config file generation.
  * Fixed debian/copyright ordering and years.
  * Unit test fix:
    - fix-test_multiprocessing.py-call-to-psutils.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 09:26:10 +0100

glance (1:11.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.
  * Added missing python-swiftclient needed for building the config.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 14:17:05 +0000

glance (1:11.0.0-2) unstable; urgency=medium

  * Purge /etc/glance completely on purge (Closes: #802537).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:08:06 +0000

glance (1:11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Adding python-swiftclient as runtime dependency (request from puppet team).
  * Added tweak of lock_path in glance-api.conf.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2015 21:58:33 +0200

glance (1:11.0.0~rc1-2) experimental; urgency=medium

  * Now generating config file with oslo-config-generator.
  * Fixes install of config file.
  * Using http protocol by default, not https, for glance connecting to
    Keystone through keystonemiddleware.
  * Change default value for filesystem_store_datadir in both the
    glance-api.conf and glance-registry.conf: the default doesn't work as the
    comments in the config file pretends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2015 10:02:16 +0200

glance (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 16:44:58 +0200

glance (1:11.0.0~b3-2) experimental; urgency=medium

  * Now glance-api depends on openstackclient.
  * Fixed install of schema-image.json.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 11:28:04 +0000

glance (1:11.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Align with MOS packaging.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Aug 2015 22:01:44 +0200

glance (1:11.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2015 09:30:49 +0200

glance (2015.1.0-2) unstable; urgency=medium

  * Makes glance build reproduceable. Thanks to Juan Picca <jumapico@gmail.com>
    for the bug report and patch. (Closes: #788469).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 19:33:36 +0200

glance (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:44:52 +0000



=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit,
                     curl,
                     git,
                     procps,
                     python-babel (>= 2.3.4),
                     python-boto,
                     python-castellan (>= 0.4.0),
                     python-coverage,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-elasticsearch (>= 1.3.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glance-store (>= 0.13.0),
                     python-hacking,
                     python-httplib2,
                     python-iso8601 (>= 0.1.11),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.7.0),
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-mox3,
                     python-mysqldb,
                     python-openssl,
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.12.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.3.0),
                     python-paste,
                     python-pastedeploy,
                     python-prettytable,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-qpid,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-routes,
                     python-semantic-version (>= 2.3.1),
                     python-sendfile,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.0),
                     python-swiftclient (>= 1:2.6.0),
                     python-taskflow (>= 1.26.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-wsme (>= 0.8),
                     python-xattr,
                     sqlite3,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/glance.git
Homepage: https://github.com/openstack/glance

Package: python-glance
Architecture: all
Section: python
Depends: libxml2-dev,
         libxslt-dev,
         procps,
         python-boto,
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.3.1),
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.11.0),
         python-glance-store (>= 0.13.0),
         python-httplib2,
         python-iso8601 (>= 0.1.11),
         python-jsonschema,
         python-keystoneauth1 (>= 2.7.0),
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-migrate (>= 0.9.6),
         python-monotonic (>= 0.6),
         python-mysqldb,
         python-openssl,
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.12.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.15.0),
         python-osprofiler (>= 1.3.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-retrying,
         python-routes,
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-swiftclient (>= 2.2.0),
         python-taskflow (>= 1.26.0),
         python-webob,
         python-wsme (>= 0.8),
         python-xattr,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Depends: glance-api (= ${source:Version}),
         glance-registry (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-glance (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-api
Architecture: all
Depends: adduser,
         debconf,
         glance-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-glare
Architecture: all
Depends: adduser,
         glance-common (= ${source:Version}),
         python-openstackclient (>= 2.1.0),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Recommends: python-glanceclient,
Suggests: q-text-as-data,
Description: OpenStack Artifacts - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance Glare artifacts API server.

Package: glance-registry
Architecture: all
Depends: adduser,
         glance-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - registry server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance registry server.

## glance 13.0.0~b3

=== requirements.txt ===
--- 
+++ 
@@ -14,15 +14,15 @@
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 httplib2>=0.7.5 # MIT
 pycrypto>=2.6 # Public Domain
-oslo.config>=3.12.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-oslo.context>=2.4.0 # Apache-2.0
+oslo.context>=2.9.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
-stevedore>=1.10.0 # Apache-2.0
-futurist>=0.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
+futurist!=0.15.0,>=0.11.0 # Apache-2.0
 taskflow>=1.26.0 # Apache-2.0
-keystoneauth1>=2.7.0 # Apache-2.0
+keystoneauth1>=2.10.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
 WSME>=0.8 # MIT
 PrettyTable<0.8,>=0.7 # BSD
@@ -31,32 +31,31 @@
 Paste # MIT
 
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
 pyOpenSSL>=0.14 # Apache-2.0
 # Required by openstack.common libraries
 six>=1.9.0 # MIT
 
-oslo.db>=4.1.0 # Apache-2.0
+oslo.db>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
 oslo.policy>=1.9.0 # Apache-2.0
-oslo.serialization>=1.10.0 # Apache-2.0
 
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-osprofiler>=1.3.0 # Apache-2.0
+osprofiler>=1.4.0 # Apache-2.0
 
 # Glance Store
-glance-store>=0.13.0 # Apache-2.0
+glance-store>=0.18.0 # Apache-2.0
 
 
 # Artifact repository
 semantic-version>=2.3.1 # BSD
 
-castellan>=0.4.0 # Apache-2.0
+debtcollector>=1.2.0 # Apache-2.0
 cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
-debtcollector>=1.2.0 # Apache-2.0
+cursive>=0.1.1 # Apache-2.0
 
 # timeutils
 iso8601>=0.1.11 # MIT

=== debian/changelog ===
glance (2:13.0.0~b3-1+555~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 18 Sep 2016 07:31:35 +0000

glance (2:13.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed default-config.patch.
  * Rebased sql_conn-registry.patch and fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Sep 2016 20:00:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog | grep Date: | sed 's/Date: //')
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
        done
endif

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-glance-doc/usr/share/doc/python-glance-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	dh_install -O--buildsystem=python_distutils --fail-missing
	# Generate all config files
	mkdir -p $(CURDIR)/debian/glance-common/usr/share/glance-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf \
		--namespace glance.api \
		--namespace glance.store \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf glance_store filesystem_store_datadir /var/lib/glance/images
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf oslo_concurrency lock_path /var/lock/glance
	# Do not persist build time CPU numbers. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf \
		--namespace glance.registry \
		--namespace glance.store \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf glance_store filesystem_store_datadir /var/lib/glance/images
	# Do not percist build time CPU numbres. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-registry.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-cache.conf \
		--namespace glance.cache \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-glare.conf \
		--namespace glance.glare \
		--namespace glance.store \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-manage.conf \
		--namespace glance.manage \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-scrubber.conf \
		--namespace glance.scrubber \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.policy
	install -D -m 0664 etc/glance-swift.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-swift.conf
	install -D -m 0664 etc/ovf-metadata.json.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/ovf-metadata.json
	install -D -m 0664 etc/property-protections-policies.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-policies.conf
	install -D -m 0664 etc/property-protections-roles.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-roles.conf

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/glance-common.config debian/glance-common.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf build

## glance 13.0.0~rc1

=== debian/changelog ===
glance (2:13.0.0~rc1-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Fixed olsotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Sep 2016 08:55:20 +0000

glance (2:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed default-config.patch.
  * Rebased sql_conn-registry.patch and fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Sep 2016 20:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -18,22 +18,22 @@
                      procps,
                      python-babel (>= 2.3.4),
                      python-boto,
-                     python-castellan (>= 0.4.0),
                      python-coverage,
                      python-crypto,
                      python-cryptography (>= 1.0),
+                     python-cursive (>= 0.1.1),
                      python-debtcollector (>= 1.2.0),
                      python-elasticsearch (>= 1.3.0),
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
-                     python-glance-store (>= 0.13.0),
+                     python-glance-store (>= 0.18.0),
                      python-hacking,
                      python-httplib2,
                      python-iso8601 (>= 0.1.11),
                      python-jsonschema,
-                     python-keystoneauth1 (>= 2.7.0),
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 2.0),
@@ -41,24 +41,25 @@
                      python-mox3,
                      python-mysqldb,
                      python-openssl,
+                     python-os-api-ref,
                      python-os-testr (>= 0.7.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.9.0),
-                     python-oslo.serialization (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-osprofiler (>= 1.3.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-osprofiler (>= 1.4.0),
                      python-paste,
                      python-pastedeploy,
+                     python-pep8,
                      python-prettytable,
                      python-psutil,
                      python-psycopg2 (>= 2.5),
@@ -71,7 +72,7 @@
                      python-sendfile,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-swiftclient (>= 1:2.6.0),
                      python-taskflow (>= 1.26.0),
                      python-testresources,
@@ -84,8 +85,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/glance.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glance?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-glance -b debian/newton
 Homepage: https://github.com/openstack/glance
 
 Package: python-glance
@@ -95,37 +96,36 @@
          libxslt-dev,
          procps,
          python-boto,
-         python-castellan (>= 0.4.0),
          python-cinderclient (>= 1:1.3.1),
          python-crypto,
          python-cryptography (>= 1.0),
+         python-cursive (>= 0.1.1),
          python-debtcollector (>= 1.2.0),
          python-eventlet (>= 0.18.4),
          python-futurist (>= 0.11.0),
-         python-glance-store (>= 0.13.0),
+         python-glance-store (>= 0.18.0),
          python-httplib2,
          python-iso8601 (>= 0.1.11),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.7.0),
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneclient (>= 1:2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-migrate (>= 0.9.6),
          python-monotonic (>= 0.6),
          python-mysqldb,
          python-openssl,
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 1.9.0),
-         python-oslo.serialization (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
-         python-osprofiler (>= 1.3.0),
+         python-oslo.utils (>= 3.16.0),
+         python-osprofiler (>= 1.4.0),
          python-paste,
          python-pastedeploy,
          python-pbr (>= 1.8),
@@ -138,7 +138,7 @@
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-swiftclient (>= 2.2.0),
          python-taskflow (>= 1.26.0),
          python-webob,

## glance 13.0.0~rc2

=== debian/changelog ===
glance (2:13.0.0~rc2-1+559~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:11:52 +0000

glance (2:13.0.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools (>= 53~).
  * Fixed olsotest EPOCH.
  * Debconf translation:
    - it (Closes: #839196).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:40:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),

## glance 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 # Required by openstack.common libraries
 six>=1.9.0 # MIT
 
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0

=== debian/changelog ===
glance (2:13.0.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 18 Mar 2017 21:30:17 +0000

glance (2:13.0.0-3) unstable; urgency=medium

  * Team upload.
  * Added dependency: net-tools ( Closes: #858123 )

 -- David Rabel <david.rabel@noresoft.com>  Sat, 18 Mar 2017 19:06:26 +0100

glance (2:13.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:26:08 +0100

glance (2:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:47:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 53~),
@@ -206,6 +206,7 @@
          glance-common (= ${source:Version}),
          python-openstackclient,
          q-text-as-data,
+         net-tools,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## glance 14.0.0

=== debian/changelog ===
glance (2:14.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 03 Aug 2017 18:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
                      python-httplib2,
                      python-iso8601 (>= 0.1.11),
                      python-jsonschema,
-                     python-keystoneauth1 (>= 2.10.0),
-                     python-keystoneclient (>= 1:2.0.0),
-                     python-keystonemiddleware (>= 4.0.0),
+                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneclient (>= 1:3.8.0),
+                     python-keystonemiddleware (>= 4.12.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 2.0),
                      python-monotonic (>= 0.6),
@@ -46,16 +46,18 @@
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.10.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.policy (>= 1.17.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
+                     python-alembic(>=0.8.8),
+                     python3-alembic(>=0.8.8),
                      python-osprofiler (>= 1.4.0),
                      python-paste,
                      python-pastedeploy,
@@ -72,9 +74,9 @@
                      python-sendfile,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-swiftclient (>= 1:2.6.0),
-                     python-taskflow (>= 1.26.0),
+                     python-taskflow (>= 2.7.0),
                      python-testresources,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -85,8 +87,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glance?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-glance -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/openstack/glance.git
 Homepage: https://github.com/openstack/glance
 
 Package: python-glance
@@ -97,6 +99,7 @@
          procps,
          python-boto,
          python-cinderclient (>= 1:1.3.1),
+         python-alembic(>=0.8.8),
          python-crypto,
          python-cryptography (>= 1.0),
          python-cursive (>= 0.1.1),
@@ -107,9 +110,9 @@
          python-httplib2,
          python-iso8601 (>= 0.1.11),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.10.0),
-         python-keystoneclient (>= 1:2.0.0),
-         python-keystonemiddleware (>= 4.0.0),
+         python-keystoneauth1 (>= 2.18.0),
+         python-keystoneclient (>= 1:3.8.0),
+         python-keystonemiddleware (>= 4.12.0),
          python-migrate (>= 0.9.6),
          python-monotonic (>= 0.6),
          python-mysqldb,
@@ -117,14 +120,14 @@
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.10.0),
+         python-oslo.db (>= 4.15.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
-         python-oslo.messaging (>= 5.2.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.messaging (>= 5.14.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.9.0),
+         python-oslo.policy (>= 1.17.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-osprofiler (>= 1.4.0),
          python-paste,
          python-pastedeploy,
@@ -138,9 +141,9 @@
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          python-swiftclient (>= 2.2.0),
-         python-taskflow (>= 1.26.0),
+         python-taskflow (>= 2.7.0),
          python-webob,
          python-wsme (>= 0.8),
          python-xattr,
@@ -206,7 +209,6 @@
          glance-common (= ${source:Version}),
          python-openstackclient,
          q-text-as-data,
-         net-tools,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},
